Skip to main content
PUT
Update product review

Authorizations

Authorization
string
header
required

Sign in to the admin dashboard and use the resulting ID token for a store and operation you can access. The authenticated dashboard cookie is accepted when the Authorization header is absent. Missing or insufficient access returns 401.

Path Parameters

id
string
required

review Ulid

product_id
string
required

product Ulid

Body

application/json
rating
number<float>
Required range: 1 <= x <= 5Must be a multiple of 0.5
review_text
string
review_reply
string
name
string
Maximum string length: 128
email
string
Maximum string length: 128
status
enum<string>
Available options:
pending,
approved,
rejected,
archived
tags
string[]
images
object[]
videos
object[]

Response

OK

message
string
success
boolean
content
object